---
# tasks file for ec2_key
- name: Create ec2_key
  amazon.aws.ec2_key:
    profile: "{{ aws_profile }}"
    region: "{{ aws_region }}"
    name: ansible_key
    key_material: "{{ lookup('file', 'id_rsa_aws.pub') }}"
  register: key
- name: Print info key 
  ansible.builtin.debug:
    var: key.key.name